%global srcname flask-script

Name:           python-%{srcname}
Version:        2.0.6
Release:        1%{?dist}
Summary:        Flask extension to help writing external scripts for Flask applications

License:        BSD-3-Clause
URL:            https://%{srcname}.readthedocs.io/
Source0:        https://github.com/smurfix/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
# Use flask_script imports (based on
# https://github.com/smurfix/flask-script/commit/fcf894b)
Patch0:         %{name}-2.0.6-fix_imports.patch
# Fix build with Python 3.11
Patch1:         %{name}-2.0.6-python_3.11.patch

BuildRequires:  python3-devel
BuildArch:      noarch

%description
%{summary}.


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
%{summary}.


%prep
%autosetup -n %{srcname}-%{version} -p0


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files flask_script


%check
%tox


%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGES README.rst
%license LICENSE


%changelog
* Mon Jan 02 2023 Mohamed El Morabity <melmorabity@fedoraproject.org> - 2.0-1
- Initial RPM release
